Addresses
List all addresses
Returns a list of all address objects that have been created in this account.
GET
/
addresses
cURL
curl https://api.goshippo.com/addresses/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.addresses.list(page=1, results=5)
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.addresses.list(1, 5);
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->addresses->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->addressPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Addresses.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListAddressesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListAddressesResponse res = sdk.addresses().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.addressPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
}
]
}{}Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
Example:
"2018-02-08"
Optional. The object ID of a Managed Shippo Account. Platform accounts set this to make the request on behalf of one of their managed accounts. See the Platform accounts guide.
Query Parameters
The page number you want to select
The number of results to return per page (max 100, default 5)
Required range:
x <= 100Was this page helpful?
⌘I
cURL
curl https://api.goshippo.com/addresses/ \
-H "Authorization: ShippoToken <API_TOKEN>"import shippo
s = shippo.Shippo(
api_key_header='ShippoToken <API_TOKEN>',
shippo_api_version='2018-02-08',
)
res = s.addresses.list(page=1, results=5)
if res is not None:
# handle response
passimport { Shippo } from "shippo";
const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});
async function run() {
const result = await shippo.addresses.list(1, 5);
// Handle the result
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Shippo\API;
$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();
$response = $sdk->addresses->list(
page: 1,
results: 5,
shippoApiVersion: '2018-02-08'
);
if ($response->addressPaginatedList !== null) {
// handle response
}using Shippo;
using Shippo.Models.Components;
var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);
var res = await sdk.Addresses.ListAsync(
page: 1,
results: 5,
shippoApiVersion: "2018-02-08"
);
// handle responsepackage hello.world;
import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.ListAddressesResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();
ListAddressesResponse res = sdk.addresses().list()
.page(1L)
.results(5L)
.shippoApiVersion("2018-02-08")
.call();
if (res.addressPaginatedList().isPresent()) {
// handle response
}
}
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.goshippo.com/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.goshippo.com/addresses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.goshippo.com/addresses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"next": "baseurl?page=3&results=10",
"previous": "baseurl?page=1&results=10",
"results": [
{
"country": "US",
"name": "Shwan Ippotle",
"company": "Shippo",
"street1": "215 Clayton St.",
"street2": "<string>",
"street3": "",
"street_no": "",
"city": "San Francisco",
"state": "CA",
"zip": "94117",
"phone": "+1 555 341 9393",
"email": "shippotle@shippo.com",
"is_residential": true,
"metadata": "Customer ID 123456",
"is_complete": true,
"latitude": 123,
"longitude": 123,
"object_created": "2014-07-09T02:19:13.174Z",
"object_id": "d799c2679e644279b59fe661ac8fa488",
"object_owner": "shippotle@shippo.com",
"object_updated": "2014-07-09T02:19:13.174Z",
"validation_results": {
"is_valid": false,
"messages": [
{
"code": "Unknown Street",
"source": "Shippo Address Validator",
"text": "City, State and ZIP Code are valid, but street address is not a match.",
"type": "address_warning"
}
]
},
"test": false
}
]
}{}